Bug 801786 - When running katello-configure --deployment=sam, /etc/headpin/client.conf path value is not updated
When running katello-configure --deployment=sam, /etc/headpin/client.conf pat...
Status: CLOSED CURRENTRELEASE
Product: Subscription Asset Manager
Classification: Red Hat
Component: katello (Show other bugs)
1.0.0
Unspecified Unspecified
urgent Severity urgent
: rc
: 1.0
Assigned To: Lukas Zapletal
SAM QE List
: Triaged
Depends On:
Blocks: 703617 803494 803697
  Show dependency treegraph
 
Reported: 2012-03-09 08:52 EST by Eric Sammons
Modified: 2012-04-26 20:19 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 803494 803697 (view as bug list)
Environment:
katello-cli-headpin-0.1.15-2.el6.noarch
Last Closed: 2012-04-26 20:19:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Sammons 2012-03-09 08:52:57 EST
Description of problem:
Post installation of katello-headpin-all, running katello-configure --deployment=sam does not update /etc/headpin/client.conf causing headpin cli commands to fail.

1. yum install -y katello-headpin-all
2. katello-configure --deployment=sam

Results:
# grep path /etc/headpin/client.conf
path = /headpin

Expected Results:
path = /sam

Additional info:
Changing this path value to /sam manually allows the headpin cli to function as expected immediately.
Comment 1 Lukas Zapletal 2012-03-12 04:52:45 EDT
commit 6c94ca9531db0e7d8615741433ece33a9c47e488
Refs: katello-cli-0.2.8-1-22-g6c94ca9
Author:     Jordan OMara <jomara@redhat.com>
AuthorDate: Fri Mar 9 10:13:38 2012 -0500
Commit:     Jordan OMara <jomara@redhat.com>
CommitDate: Fri Mar 9 10:43:28 2012 -0500

    801786 - puppetizing cli client.conf so it respects install URL
Comment 2 Lukas Zapletal 2012-03-12 04:53:23 EDT
Adding Jordan to the list, want to do a remark
Comment 3 Lukas Zapletal 2012-03-12 05:46:32 EDT
Jordan - it is vital to keep all configuration files in their RPM packages. With puppet we overwrite them, but project should be correctly deployed even when katello-configure was not executed. It also gives possibility to uninstall thing or track configuration changes.

I am pushing a change that keeps your puppet template, but returns the default client.conf to the RPM distribution:

5bb7fbb 801786 - putting client.conf back to the RPM
Comment 7 Mike McCune 2012-03-19 18:52:52 EDT
Shouldn't this bug be MODIFIED?
Comment 8 Eric Sammons 2012-03-27 16:53:38 EDT
# cat /etc/katello/client.conf 
[server]
host = localhost.localdomain
port = 443
scheme = https
path = /sam

[interface]
grep_friendly = false

[shell]
nohistory = false
prompt = sam>
 
# rpm -q katello-headpin-all
katello-headpin-all-0.1.144-1.el6.noarch


VERIFIED

Note You need to log in before you can comment on or make changes to this bug.